> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update user

Update an existing user. The sole recommended use of user update is to set the user status.

<Note>
  This is a limited-use endpoint in SSO API v2.8. User information can be edited by the user from within MoneyDesktop and should not be altered by the data partner after the user is created.
</Note>

## Path parameters

<ParamField path="user_guid" type="string" required>
  The unique identifier for the user. Accepts `user_guid` or `external_user_guid`.
</ParamField>

## Query parameters

<ParamField query="k" type="string" required>
  Your API key.
</ParamField>

<ParamField query="c" type="string" required>
  The `client_guid` or `external_client_guid`.
</ParamField>

## Headers

<ParamField header="Content-Type" type="string" required>
  Must be `application/json`.
</ParamField>

## Body parameters

<ParamField body="email" type="string">
  The user's email address.
</ParamField>

<ParamField body="first_name" type="string">
  The user's first name.
</ParamField>

<ParamField body="last_name" type="string">
  The user's last name.
</ParamField>

<ParamField body="phone" type="string">
  The user's phone number.
</ParamField>

<ParamField body="birthdate" type="string">
  The user's birthdate.
</ParamField>

<ParamField body="sex" type="string">
  The user's sex. Accepts `MALE` or `FEMALE`.
</ParamField>

<ParamField body="credit_score" type="integer">
  The user's credit score.
</ParamField>

<ParamField body="zip_code" type="string">
  A US ZIP code in `nnnnn` or `nnnnn-nnnn` format, or a Canadian postal code in `ana nan` format.
</ParamField>

<ParamField body="status" type="string">
  The user's status. Accepts `ENABLED` or `DISABLED`.
</ParamField>

<RequestExample>
  ```json Request theme={null}
  {
    "status": "DISABLED"
  }
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
    "guid": "USR-00dfffb5-62f6-9865-91f4-9d90f",
    "external_guid": "09-999-QWQW",
    "external_user_guid": "09-999-QWQW",
    "client_guid": "CLT-0858efd1-2d2e-6a5d-f2b5-c7dad42ef184",
    "email": "julie.west@email.com",
    "login_token": "cQQ380Ocyc049z6eRg--tz6Opshfxqz0T6rX2xaD2dwei5H...",
    "first_name": "Julie",
    "last_name": "West",
    "phone": "9015559990",
    "age": 23,
    "sex": 1,
    "credit_score": 790,
    "zip_code": 12345,
    "master_widget_url": "https://widgets.moneydesktop.com/raja/master?...",
    "accounts_widget_url": "https://widgets.moneydesktop.com/raja/accounts?...",
    "budgets_widget_url": "https://widgets.moneydesktop.com/raja/budgets?...",
    "debts_widget_url": "https://widgets.moneydesktop.com/raja/debts?...",
    "net_worth_widget_url": "https://widgets.moneydesktop.com/raja/net_worth?...",
    "spending_widget_url": "https://widgets.moneydesktop.com/raja/spending?...",
    "transactions_widget_url": "https://widgets.moneydesktop.com/raja/transactions?...",
    "status": {
      "status": 2,
      "name": "User update succeeded",
      "message": ""
    }
  }
  ```
</ResponseExample>
